import ListItemButton from '@mui/material/ListItemButton';
import Avatar from '@mui/material/Avatar';
import ListItemText from '@mui/material/ListItemText';
import ListItemIcon from '@mui/material/ListItemIcon';
import { useDispatch,useSelector } from 'react-redux';

import { actionIsOpen } from '../../../../../redux/controlApp/action'
import { getCompanion } from '../../../../../redux/controlApp/selector'
import { firstLetter,slicedWord,timeStamp } from '../../../../../helpers'

const Credentials = () => {
  const dispatch = useDispatch()
  const companion = useSelector(getCompanion)
  const { name,lastName,avatarUrl,updatedAt } = companion
  return (
    <ListItemButton onClick={() => dispatch(actionIsOpen('credentials'))}>
      <ListItemIcon >
        <Avatar alt={name} src={avatarUrl?`http://localhost:3000/${avatarUrl}`:undefined}
              sx={{ background: '#f0c712', width: 44, height: 44 }}>
              {!avatarUrl&&`${firstLetter(name)}${firstLetter(lastName)}`}
          </Avatar>
      </ListItemIcon> 
      <ListItemText primary={`${firstLetter(name)}${slicedWord(name, 15, 1)}
        ${firstLetter(lastName)}${slicedWord(lastName, 15, 1)}`}
        secondary={timeStamp(updatedAt)} />
    </ListItemButton>
  )
}

export default Credentials