import { createReducer } from '@reduxjs/toolkit';
import { actionIsOpen,actionStartChat } from '../action';
import { IControlAppState,IPayloadIsOpen,IPayloadCompanion } from '../../../typescript/redux/controlApp/interfaces'

const initialState:IControlAppState = {
  isOpen: "",
  companion: {
  _id: '',
  __v: 0,
  avatarUrl: '',
  color: '',
  country: '',
  createdAt: '',
  lastName: '',
  name: '',
  number: '',
  owner: {
    token: '',
  },
  updatedAt: '',
  },
}

const reducerControlApp = createReducer(initialState, {
  [actionIsOpen.type]: (state, { payload:isOpen }:IPayloadIsOpen) => {
    return {...state,isOpen}
  },
  [actionStartChat.type]: (state, { payload:companion }:IPayloadCompanion) => {
    return {...state,companion}
  },  
});

export default reducerControlApp;
